#
add
@Contrastes
(Aadir)
Aade variables a un modelo y contrasta su significatividad.

Se aaden las variables seleccionadas al modelo anterior y se
estima el nuevo modelo. Si se aade ms de una variable, se presenta el
estadstico F para el contraste conjunto de significacin de las
variables aadidas (slo para el mtodo MCO) junto con su valor p. Un
valor p inferior a 0.05 indica que los coeficientes son conjuntamente
significativos al nivel del 5 por ciento.

#
adf
@Contrastes
Contraste aumentado de Dickey-Fuller

Esta orden requiere un orden de retardos entero

Calcula los estadsticos para dos contrastes de Dickey-Fuller. En ambos
casos la hiptesis nula es que la variable en cuestin presenta una raz
unitaria.

El primero es un contraste t basado en el modelo

(1 - L)x(t) = m + g * x(t-1) + e(t).

La hiptesis nula es que g = 0.

En el segundo contraste (aumentado) se estima una regresin no
restringida (teniendo como regresores una constante, una tendencia
temporal, el primer retardo de la variable y "orden" retardos de la
primera diferencia) y una regresin restringida (quitando la tendencia
temporal y el primer retardo). El estadstico de contraste es F
calculado como

[(SCRr - SCRnr)/2]/[SCRnr/(T - k)]

donde T es el tamao muestral y k el nmero de parmetros del modelo no
restringido. Es necesario tener en cuenta que los valores crticos para
estos estadsticos no son los usuales.


#
ar
@Estimacin
Estimacin generalizada (autorregresiva) de Cochrane-Orcutt

Calcula las estimaciones de un modelo utilizando el procedimiento
iterativo generalizado de Cochrane-Orcutt. Las iteraciones se terminan
cuando las sucesivas sumas de cuadrados residuales no varan ms del
0.005 por ciento o cuando han transcurrido 20 iteraciones.

En la 'lista de retardos AR' se especifica la estructura del proceso de
error. Por ejemplo, la entrada "1 3 4" corresponde a

     u(t) = rho1*u(t-1) + rho3*u(t-3) + rho4*u(t-4) + et


#
arch
@Contrastes
Realiza un contraste de ARCH (Autoregressive Conditional
Heteroskedasticity)

Esta instruccin requiere un orden de retardos entero.

Contrasta la existencia de un ARCH del orden especificado, en el
modelo. Si el estadstico LM tiene un valor p inferior a 0.10, entonces
se realiza la estimacin del ARCH. Si, en la regresin auxiliar,  la
varianza estimada de cualquier observacin no es positiva, entonces se
usa el correspondiente residuo al cuadrado. Despus se estima el modelo
original utilizando mnimos cuadrados ponderados.



#
boxplots
@Grficos
(Grficos de caja)
Analisis exploratorio de los datos.

Estos grficos (debidos a Tukey y Chambers) presentan la distribucin de
una variable. La caja central incluye el 50 por ciento de los datos que
estn en el medio de la distribucin, es decir, est delimitada por el
primer y el tercer cuartiles. Las "patillas" se extienden desde esta
caja hasta los valores mnimo y mximo. Se dibuja una lnea alo largo de
la caja en la situacin de la mediana.

En el caso de cajas recortadas, el recorte muestra los lmites de un
intervalo de confianza aproximada del 90 por ciento para la mediana.
Este se obtiene mediante el mtodo bootstrap, que puede tardar un rato
si la serie es muy larga.

Haciendo "click" con el ratn en ventana del grfico de caja aparece un
men que permite guardar el grfico en formato postscript encapsulado
(EPS) o como fichero postscript de pgina completa. Bajo el sistema X
window (linux) tambin se puede guardar el grfico en formato XPM; bajo
MS Windows se puede copiar al portapapeles como mapa de bits.

El men tambin ofrece la posibilidad de abrir una ventana de texto que
muestra un "resumen de 5 nmeros" (mnimo, primer cuartil, mediana,
tercer cuartil, mximo) y, si se ha elegido la opcin de grfico
"recortado", un intervalo de confianza para la mediana.

Se pueden controlar algunos detalles de los "grficos de caja" de gretl
por medio de un fichero (de texto plano) de nombre .boxplotrc que se
busca sucesivamente en el directorio de trabajo actual, el directorio
home del usuario (que corresponde a la variable de entorno HOME) y el
directorio gretl del usuario (que se puede observar y cambiar en
Archivo, Preferencias, Men general). Las opciones que pueden cambiarse
de esta manera son: la fuente a usar al producir una salida postscript
(debe ser un nombre de fuente genrica postscript vlido; por defecto es
Helvetica), el tamao de la fuente en puntos (tambin para la salida
postscript; por defecto es 12), el mnimo y el mximo para el rango
del eje y, la anchura y altura del grfico en pixels (por defecto, 560 x
448), si se deben imprimir los valores numricos para los cuartiles y la
mediana (por defecto, no imprimirlos), y si los 'outliers' (puntos que
quedan ms all de 1.5 veces el rango intercuartlico desde la caja
central) seberan indicarse de forma separada (por defecto, no).
Por ejemplo:

font = Times-Roman
fontsize = 16
max = 4.0
min = 0
width = 400
height = 448
numbers = %3.2f
outliers = true

En la segunda lnea del final, el valor asociado a "numbers" es una
cadena de formato "printf" como en el lenguaje de programacin C;
cuando se especifica, esto controla la inscripcin de la mediana y los
cuartiles cerca del grfico de caja, si no se da una opcin "numbers",
esos valores no se escriben. En el ejemplo, los valores se escribirn
a tres dgitos, con dos dgitos despus del punto decimal.

No es necesario establecer todas las opciones, y el orden no importa.

Las lneas que no sigan el modelo "clave=valor" son ignoradas, como las
lneas que comiencen con la almohadilla, #.

Despus de cada variable especificada en la orden 'grfico de
caja' puede aadirse una expresin booleana entre parntesis, para
delimitar la muestra para la variable en cuestin. Debe insertarse un
espacio entre el nombre o nmero de la variable y la expresin.
Supongamos que tenemos datos de 'salarios' para hombres y mujeres y
tenemos una variable ficticia 'GNERO' que toma valor 1 para los hombres
y 0 para las mujeres. En este caso, podemos representar grficos de caja
comparativos, con las siguientes lneas en el dilogo de la orden
'grfico de caja':

  salarios (GNERO=1) salarios (GNERO=0)

#
chow
@Contrastes
Contraste de Chow de homogeneidad estructural

Esta orden necesita un nmero de observaciones (o fechas, si los datos
tienen fecha).

Debe ejecutarse despues de una regresin MCO. Crea una variable ficticia


que es igual a 1 desde el punto de ruptura que se especifique hasta el
final de la muestra y 0 en el resto. Tambin crea trminos de
interaccin entre esta variable ficticia y las variables independientes
originales. Se ejecuta una regresin aumentada incluyendo esos trminos
y se calcula un estadstico F tomando la regresin aumentada como 'no
restringida' y la original como 'restringida'. Este estadstico es
adecuado para contrastar la hiptesis nula de que no hay cambio
estructural en el citado punto de ruptura.


#
coint
@Contrastes
Contraste de cointegracin

Con esta orden (que necesita un orden de retardops entero) se realizan
los contrastes de Dickey-Fuller de la hiptesis nula de que cada una de
las variables seleccionadas tiene una raiz unitaria, considerando el
orden de retardos dado. Se estima la regresin cointegrante y se realiza


un contraste ADF sobre los residuos de la regresin.

Tambin se ofrece el estadstico de Durbin-Watson de la regresin
cointegrante.

(Hay que sealar que para ninguno de estos estadsticos pueden
utilizarse las tablas estadsticas usuales)


#
compact
@Conjunto de datos
(Compactar)
Escribiendo datos a una frecuencia inferior.

Cuando se aade a un conjunto de datos una serie que es de una
frecuencia superior, es necesario "compactar" esa nueva serie. Por
ejemplo, una serie mensual tendr que ser "compactada" para introducirla


en un conjunto de datos trimestral. Se ofrecen tres opciones para el
"compactado":

1. Promediado: el valor escrito en el conjunto de datos ser la media
aritmtica de los valores de la serie en cuestin. Por ejemplo, el valor


introducido para el primer trimestre de 1990 ser la media de los
valores de enero, febrero y marzo de 1990.

2. Valores de 'final de periodo': el valor escrito en el conjunto de
datos es el ltimo valor del periodo correspondiente en los datos
de ms alta frecuencia. Por ejemplo, en el primer trimestre de 1990 se
introducira el valor de marzo de 1990.

3. Valores de 'principio de periodo': el valor escrito en el conjunto de
datos es el primer valor del periodo correspondiente en los datos de
mdels alta frecuencia. Por ejemplo, en el primer trimestre de 1990 se
introducira el valor de enero de 1990.



#
corc
@Estimacin
Modelo de Cochrane-Orcutt

Esta orden calcula las estimaciones de un modelo usando el procedimiento
iterativo de Cochrane-Orcutt. Las iteraciones acaban cuando dos valores
sucesivos de rho no difieren en ms de 0.001 o cuando se han realizado
ya 20 iteraciones.

La regresin transformada final se estima para el rango de observacin
primobs+1 ultobs que est actualmente en efecto.


#
dialog box for models
@Estimacin
(cuadro de dilogo para los modelos)
Para elegir la variable dependiente, seleccione una variable en la lista


de la izquierda y presione el botn "Elegir->" que seala a la caja
correspondiente a "variable dependiente". Si se activa el cuadro
"Establecer por defecto" la variable que se elija ser preseleccionada
como variable dependiente la prxima vez que se abra el cuadro de
dilogo de modelos. Atajo: haciendo doble "click" sobre una variable
del lado izquierdo se selecciona y se establece como variable
dependiente por defecto.

Para elegir las variables independientes, seleccinelas a la izquierda y


presione el botn "Aadir->" (o haga "click" con el botn derecho del
ratn). Se pueden seleccionar varias variables contguas arrastrndolas
con el ratn. Se puede seleccionar un grupo de variables no
contguas haciendo click sobre ellas mientras se pulsa la tecla Ctrl.


#
diff
@Transformaciones
(Diferencia regular)

Se calcula la primera diferencia de cada variable de la lista
dada y el resultado se guarda en una nueva variable con prefijo "d_".
As por ejemplo, la nueva variable
d_x = x(t) - x(t-1).

#
export
@Conjunto de datos
Exporta datos de gretl a otros formatos.

Se pueden exportar datos en fomato CSV (Valores separados por comas):
estos datos pueden abrirse desde hojas de clculo y muchos otros
programas.

Tambin se pueden exportar datos a los formatos nativos de GNU R y GNU
Octave. Para ms informacin sobre estos programas (ambos desarrollan
anlisis estadsticos avanzados) por favor visite sus propias
pginas web, http://www.r-project.org/ y http://www.octave.org/


#
factorized plot
@Grficos
(Grfico con factor de separacin)

Esta orden necesita que vd elija tres variables y la ltima de ellas
ha de ser una variable ficticia (con valor 1  0). La variable Y se
representa con respecto a la variable X, con los puntos coloreados de
forma diferente dependiendo del valor de la tercera variable.

Por ejemplo: si vd tiene datos de salarios y nivel de educacin para una
muetra de varias personas; y vd tambin tiene una variable ficticia con
valor 1 para los hombres y 0 para las mujeres (como en el fichero que se
suministra con gretl, data7-2). Un "grfico factorizado" de SALARIOS
con respecto a EDUCACIN usando la variable SEXO como factor mostrar
los puntos para los hombres en un color y para las mujeres en otro (con
una leyenda para identificarlos).


#
genr
@Transformaciones
Genera una nueva variable
Uso:             nuevo_nombre_variable = transformacin

Crea nuevas variables, normalmente por medio de transformaciones de
variables ya existentes. Ver tambin diff, logs, lags, ldiff, multiply
y square como atajos.

Los operadores matemticos que se soportan son, en orden de precedencia:
^ (exponenciacin); *, / y % (mdulo o resto); + y -.

Los operadores booleanos (de nuevo en orden de precedencia) son ! (NO
lgico), & (Y lgico), | (O lgico), >, <, = y != (No igual). Los
operadores booleanos pueden usarse al construir variables ficticias: por
ejemplo (x>10) devuelve 1 si x(t)>10 y en caso contrario 0.

Las fucniones que se soportan pertenecen a estos grupos:
- Funciones matemticas standard: abs, cos, exp, int (parte entera), ln
(logaritmo natural: log es un sinnimo), sin (seno), sqrt (raz
cuadrada).
- Funciones estadsticas: mean (media aritmtica), median (mediana), var
(varianza), sd (desviacin tpica o estandard), sum, cov (covarianza),
corr (coeficiente de correlacin).
- Funciones de series temporales: lag (retardo), lead (adelanto), diff
(primera diferencia), ldiff (log-diferencia, o primera diferencia del
logaritmo natural).
- Miscelneas: cum (acumulacin), sort (ordenacin), uniform
(distribucin uniforme), normal (distribucin normal), missing (devuelve
1 si la variable tiene la observacin perdida, en caso contrario 0),
misszero (reemplaza el cdigo de observacin perdida por un 0), zeromiss
(operacin inversa de misszero).

Todas las funciones anteriores, a excepcin de cov, corr, uniform y
normal, toman como nico argumento o el nombre de una variable (hay
que notar que, en una orden genr,  no es posible referirse a las
variables utilizando su nmero de ID) o una expresin compuesta que se
evala en una variable (p.ej. ln((x1+x2)/2)). cov y corr requieren dos
argumentos (dos variables) y devuelven, respectivamente, la covarianza y
el coeficiente de correlacin entre las dos variables mencionadas.
unifrom() y normal() no tienen argumentos y devuelven, respectivamente,
series pseudoaleatorias obtenidas a partir de las distribuciones
uniforme (0-100) y normal standard (ver tambin la instruccin seed).

Hay varias variables que se definen internamente al ejecutar una
regresin, que pueden usarse tambin en transformaciones, como son:

  $ess         suma de cuadrados de los residuos
  $rsq         R-cuadrado no corregido
  $T           nmero de observaciones utilizado por el modelo
  $df          grados de libertad
  $trsq        TR^2 (T veces el R-cuadrado, siendo T el tamao
               muestral)
  $sigma       desviacin tpica de los residuos
  $lnl         log-verosimilitud (en modelos logit y probit)
  coeff(var)   coeficiente estimado de var
  stderr(var)  desviacin tpica estimada del estimador de var
  rho(i)       coeficiente autorregresivo de isimo orden de los
               residuos
  vcv(xi,xj)   covarianza entre los coeficientes de las variables
               xi y xj

La variable interna $nobs contiene el nmero de observaciones del
dominio muestral actual, que puede ser o puede no ser igual al $T del
ltimo modelo.

La variable interna t hace referencia a las observaciones, comenzando en
1. As, es posible hacer "genr dum15 = (t=15)" para generar una variable
ficticia con valor 1 para la observacin 15 y 0 para el resto.

Ejemplos de frmulas vlidas:

   y = x1^3          [x1 al cubo]
   y=ln((x1+x2)/x3)  [argumento compuesto a funcin ln]
   z=x>y             [hace z(t) igual a 1 si x(t) > y(t) en caso
                      contrario 0]
   y=x(-2)           [x retardada 2 periodos]
   y=x(2)            [x adelantada 2 periodos]
   y = mean(x)       [media aritmtica]
   y = diff(x)       [y(t) = x(t) - x(t-1)]
   y = ldiff(x)      [y = ln(x(t)) - ln(x(t-1))]
                      ldiff(x) es la tasa instantnea de
                      crecimiento de x.
   y = sort(x)       [ordena x en orden creciente y la guarda en y]
   y = -sort(-x)     [ordena x en orden decreciente]
   y = int(x)        [trunca x y guarda su valor entero como y]
   y = abs(x)        [guarda los valores absolutos de x]
   y = sum(x)        [suma los valores de x excluyendo las entradas
                      de los valores perdidos -999]
   y = cum(x)        [acumula x: y(t) es la suma de x hasta t]
   aa = $ess         [aa = suma de cuadrados de los residuos de la
                      ltima regresin]
   x = coeff(sqft)   [recoge el coeficiente de sqft del
                      ltimo modelo]
   rho4 = rho(4)     [recoge el coeficiente autorregresivo de
                      4 orden del ltimo modelo (se supone un modelo
                      ar)]
   cv=vcv(x1, x2)    [covarianza de los coeficeintes de x1 y x2
                      en el ltimo modelo]
   x=uniform()/100   [variable pseudoaleatoria uniforme, rango 0 a 1]
   x=3*normal()      [variable pseudoaleatoria normal, con media 0
                      y desviacin tpica 3]

Sugerencias sobre variables ficticias:

* Supongamos que x se codifica con valores 1, 2 o 3 y vd desea tres
variables ficticias, d1 si x=1, 0 en caso contrario, d2=1 si x=2, 0 en
caso contrario y as sucesivamente. Para crearlas, use las frmulas
d1 = (x=1), d2 = (x=2), y d3 = (x=3).
* Para obtener z = max(x,y) genere d=x>y y despus
z=(x*d)+(y*(1-d))

#
graphing
@Grficos
(Grficos)
generando grficos de varios tipos

Gretl llama a un programa aparte, gnuplot, para generar los grficos.
Gnuplot es un programa grfico de multiples caractersticas con
miles de opciones. Gretl le proporciona a vd acceso directo, va una
interface grfica, a slo un pequeo subconjunto de esas opciones e
intenta elegir para vd los valores adecuados; tambin permite que vd
tome completamente el control sobre los detalles del grfico si as lo
desea.

Bajo MS Windows vd puede hacer click en la esquina de arriba a la
izquierda de la ventana del grfico, obteniendo as un men gnuplot que
le permite elegir varias cosas (incluyendo copiar el grfico al
portapapeles de Windows y enviarlo a la impresora).

Para tener un control completo sobre el grfico, siga este
procedimiento:

- Cierre la ventana del grfico.
- Desde el men de sesin, seleccione "Aadir el ltimo grfico".
- En la ventana de iconos de sesin, haga click con el botn
derecho del ratn sobre el icono del nuevo grfico y seleccione o
"Editar usando GUI" o "Editar las rdenes de grafico". La entrada de
"The Editar usando GUI" abre un controlador grfico para gnuplot que le
permite refinar varios aspectos del grfico. La entrada de "Editar las
rdenes de grafico" abre una ventana de editor que contiene el fichero
actual de instrucciones de gnuplot para generar el grfico: esto le
proporciona a vd un control completo sobre los detalles del grfico --si
vd conoce algo sobre gnuplot. Para ms detalles,ver
http://ricardo.ecn.wfu.edu/gnuplot.html or www.gnuplot.org.

#
hccm
@Estimacin
(mcch)
Matriz de covarianzas consistente ante heterocedasticidad

Esta orden ejecuta una regresin donde los coeficientes se estiman
por medio del procedimiento MCO standard, pero las desviaciones tpicas
de los estimadores de los coeficientes se calculan de una manera que es
robusta ante la heterocedasticidad. Concretamente, se usa el
procedimiento "jacknife" de MacKinnon-White


#
hilu
@Estimacin
Mtodo de Hildreth-Lu

Calcula las estimaciones de un modelo utilizando el procedimiento de
bsqueda de Hildreth-Lu (refinado mediante el mtodo de CORC
[Cochrane-Orcutt]). Se representa la suma de cuadrados de los residuos
del modelo transformado con respecto a los valores de rho
desde -0.99 hasta 0.99. La regresin final transformada  se calcula para
el rango de observacin primobs+1 ultobs que est actualmente en efecto.


#
hsk
@Estimacin
(correccin de heterocedasticidad)
Estimaciones corregidas de Heterocedasticidad

Se ejecuta una regresin MCO y se guardan los residuos. El logaritmo
del cuadrado de dichos residuos se constituye como variable
dependiente en una regresin auxiliar, en cuyo lado derecho de la
ecuacin estn las variables independientes originales y sus cuadrados.
Los valores ajustados en la regresin auxiliar se usan entonces para
construir una serie de ponderaciones y el modelo original se reestima
utilizando mnimos cuadrados ponderados. Este resultado final es el que
aparece en el cuadro de resultados.

La serie de ponderaciones se forma como 1/sqrt(exp(fit)), donde "fit"
representa a los valores ajustados obtenidos de la regresin auxiliar.


#
lags
@Transformaciones
(retardos)

Crea nuevas variables que son valores retardados de cada una de las
variables de la lista que se suministra. El nmero de contrapartes
retardadas para cada una de las variables listadas es igual a la
periodicidad de los datos. Por ejemplo, si la periodicidad es 4 (datos
trimestrales), se crearn cuatro trminos retardados; si en la lista que
se ha sumnistradoi est la variable "x", la orden crea x_1 = x(t-1),
x_2 = x(t-2), x_3 = x(t-3) y x_4 = x(t-4).


#
ldiff
@Transformaciones

Se obtiene la primera diferencia del logaritmo natural de cada variable
de la lista suministrada y el resultado se guarda en una nueva variable
con el prefijo "ld_".

As por ejemplo, la nueva variable ld_x = ln[x(t)] - ln[x(t-1)].

#
logit
@Estimacin
Regresin Logit

La variable dependiente debera ser una variable binaria. Se utiliza
el mtodo de mnimos cuadrados iterativos (el mtodo EM o de
expectativa-maximizacin) para obtener las estimaciones
mximo-verosmiles de los coeficientes de las variables independientes.
Como el modelo es no lineal, las pendientes dependen de los valores de
las variables independientes: las pendientes que gretl muestra se
evalan en las medias de dichas variables. El estadstico Chi-cuadrado
contrasta la hiptesis nula de que todos los coeficientes, excepto la
constante, son cero.


#
logs
@Transformaciones

Se calcula el logaritmo natural de cada una de las variables de la lista


que se suministra y el resultado se guarda en una nueva variable con 
prefijo "l_". As por ejemplo la nueva variable l_x = ln(x).


#
loop
@Programacin
(Bucle)
instrucciones repetidas

Uso:            loop nmero_de_veces
                loop while condicin
		loop for i=principio..final
Ejemplos:       loop 1000
		loop while essdiff > .00001
		loop for i=1991..2000

Esta instruccin (de guin) abre un modo especial en el cual el programa
acepta instrucciones a repetir o un nmero de veces especfico, o
mientras una condicin se satisfaga, o para los sucesivos valores
enteros de una variable ndice (interna) i.

Dentro de un bucle slo se pueden utilizar seis instrucciones:
genr, ols, print, smpl, store y summary (store no puede usarse en
un bucle "while"). Con genr y ols es posible hacer bastantes cosas.
Se sale de este modo especial de introducir instrucciones de bucle
mediante la orden "endloop": en este momento se ejecutan las rdenes
que estn en la "pila".

Los bucles no pueden estar anidados. La instruccin ols muestra un
resultado especial dependiendo del tipo de bucle. Si se especifica un
"numero_de_veces" no se muestran los resultados de cada regresin
individual, sino que se obtiene una salida con (a) la media de
cada coeficiente estimado a lo largo de todas las repeticiones, (b) las
desviaciones tpicas de estos coeficientes estimados, (c) la media
de las desviaciones tpicas estimadas para cada coeficiente y (d) la
desviacin tpica de las desviaciones tpicas estimadas. Esto slo
tiene sentido si hay algn input aleatorio en cada paso. La instruccin
est diseada para el anlisis de Monte Carlo.

Si se da una condicin "while", se muestran los resultados del modelo
especificado a partir de la ltima vuelta del bucle: esto est diseado
para mnimos cuadrados iterativos.

La instruccin "print" tambin se comporta de forma diferente en el
contexto de un bucle con "nmero_de_veces". En concreto esta instruccin
muestra la media y la desviacin tpica de la variable a lo largo de las
repeticiones del bucle. Esto est diseado para variables que toman un
solo valor en cada iteracin, por ejemplo la scr (suma de cuadrados
residual $ess ) de una regresin. La instruccin "print" se comporta de
la forma usual con las otras construcciones de bucle.

La instruccin "store" (se usa slo una de ellas por bucle y slo en un
bucle con "nmero_de_veces") escribe los valores de las variables
especificadas desde cada iteracin del bucle a un fichero. De esta
manera se guarda una grabacin completa de las variables. Este fichero
de datos puede despus ser ledo y analizado mediante gretl.

Ejemplo de cdigo de bucle (Monte Carlo):

   genr x = uniform()
   loop 100
   genr u = normal()
   genr y = (10*x) + (20*u)
   ols y const x
   genr r2 = $rsq
   print r2
   genr a = coeff(const)
   genr b = coeff(x)
   store foo.gdt a b
   endloop

#
lmtest
@Contrastes
Contraste de Multiplicador de Lagrange

Bajo este encabezamiento se encuentran varios contrastes de hiptesis. 
Lo que tienen en comn es que el contraste incluye la estimacin de una 
regresin auxiliar, en la que la variable dependiente es el residuo de 
alguna regresin "original". Entre las variables del lado derecho
se incluyen las de la regresin original y algunas adicionales. El
estadstico de contraste se calcula como (tamao muestral x
R-cuadrado) de la regresin auxiliar: este se distribuye como una
Chi-cuadrado con grados de libertad iguales al nmero de variables 
adicionales, bajo la hiptesis nula de que las variables adicionales no 
tienen poder explicativo sobre el residuo. Un valor muy alto de este 
estadstico (valor p pequeo) sugiere que esta hiptesis nula debera 
ser rechazada.


#
markers
@Conjunto de datos
(marcadores)
Aade marcadores de caja al conjunto de datos.

Esta instruccin necesita el nombre del fichero que contenga los
"marcadores de caja", es decir, pequeas etiquetas que
identifican a las observaciones individuales en el conjunto de datos
(por ejemplo, nombres o cdigos de pases o de ciudades). Estas
etiquetas no deberan tener ms de 8 caracteres. El fichero debera 
tener un marcador por lnea y debera haber tantos marcadores como 
observaciones en el conjunto de datos. Si se satisfacen estas 
condiciones y se encuentra el fichero especificado, se aadirn los 
"marcadores de caja"; estos se podrn ver cuando Vd elija "Mostrar
valores" en el men "Datos" de gretl.


#
meantest
@Contrastes
(Contraste de medias)

Calcula el estadstico t para el contraste de la hiptesis nula de que
las medias poblacionales, de las dos variables elegidas, son iguales. 
Tambin muestra su valor p. La instruccin puede ejecutarse con o sin el 
supuesto de que las varianzas de las dos variables son iguales (aunque 
esto supondr una diferencia en el estadstico de contraste slo si hay 
un nmero diferente de valores no-perdidos para las dos variables).


#
missing values
@Conjunto de datos
(Valores perdidos)

Establece un valor numrico que ser interpretado como "valor perdido" o
"no disponible", o para una serie de datos particular (bajo el
men de "Variable") o globalmente para el conjunto de datos completo
(bajo el men "Muestra").

Gretl tiene su propio cdigo interno para los valores perdidos, pero a
veces los datos importados pueden emplear un cdigo diferente. Por
ejemplo, si una serie determinada est codificada de forma que el valor
-1 indica "no disponible", se puede seleccionar "Establecer cdigo de
'valor perdido'" bajo el men de "Variable" y escribir el valor "-1"
(sin las comillas). Gretl entonces leer los -1 como observaciones
perdidas.


#
mpols
@Estimacin
(MCO de precisin mltiple)

Calcula las estimaciones de mnimos cuadrados ordinarios utilizando 
operaciones aritmticas con precisin mltiple. Esta orden slo est 
disponible si gretl est configurado con soporte para GMP, la biblioteca 
de precisin mltiple GNU. Hay que sealar que la precisin de los 
resultados de la regresin puede verse limitada por (a) la precisin de 
los datos que se leen del fichero y (b) cualquier transformacin 
realizada usando la instruccin genr, que trabaja utilizando operaciones 
aritmticas ordinarias de punto flotante y doble precisin.

#
nulldata
@Conjunto de datos

Establece un conjunto de datos "vaco", que contiene slo una constante, 
con periodicidad 1 y el nmero de observaciones que se especifique. Esto 
puede utilizarse por motivo de simulacin: algunas instrucciones genr
(p.ej. genr uniform(), genr normal(), genr time) generarn datos 
artificiales desde cero para rellenar el conjunto de datos. La 
instruccin "nulldata" tambin puede ser til combinada con "loop".

#
ols
@Estimacin
Mtodo de mnimos cuadrados ordinarios

Calcula las estimaciones de mnimos cuadrados ordinarios de los 
coeficientes del modelo especificado. Muestra los valores p para los 
estadsticos t (a dos colas) y F. Un valor p inferior a 0.01 indica 
significatividad al nivel del 1 por ciento. Tambin se muestran una 
serie de estadsticos de seleccin de modelos.

Ver "/Temas/Estimacin/Cuadro de dilogo" para ayuda sobre el uso del 
cuadro de dilogo.

#
omit
@Contrastes
Omite variables de un modelo y contrasta su significatividad conjunta

Las variables elegidas se sustraen del modelo anterior y se estima el 
nuevo modelo. Si se omite ms de una variable, se mostrar el 
estadstico F de Wald para las variables omitidas junto con su valor p 
(slo para el mtodo MCO). Un valor p inferior a 0.05 indica que los 
coeficientes son conjuntamente significativos al nivel del 5 por ciento.


#
online databases
@Conjunto de datos
(Bases de datos en lnea)
Acceso a bases de datos va internet

Gretl puede acceder a las bases de datos del sitio web de gretl, en
Wake Forest University (su ordenador debe de estar conectado a 
internyour et para que esto funcione).

Bajo el men "Archivo, Revisar bases de datos" seleccione la entrada
"sobre servidor". Ahora debera aparecer una ventana mostrando las bases 
de datos gretl disponibles en Wake Forest (dependiendo del lugar en que
Vd se encuentre y de su conexin a internet, esto puede tardar
unos segundos). Junto al nombre de la base de datos y a una pequea 
descripcin aparecer una entrada de "Estado local": esto indica si Vd 
ha instalado la base de datos de forma local (sobre el disco duro de su 
ordenador) y si es as, si se encuentra actualizada con la versin
que actualmente hay en el servidor. Si Vd ha instalado localmente una
determinada base de datos y sta se encuentra actualizada, no hay 
ninguna ventaja por acceder a ella mediante el servidor. Pero para una 
base de datos que no est instalada y/o actualizada, Vd puede desear un 
listado de las series de datos: haga "click" sobre "Obtener listado de
series". Esto hace aparecer una nueva ventana desde la cual se pueden 
visualizar los valores de la serie de datos que se elija, representar 
esos valores o importarlos al espacio de trabajo de gretl. Estas tareas 
pueden realizarse usando el men "Series" o por medio del men 
contextual que aparece el hacer "click" con el botn derecho del ratn 
sobre una serie dada. Tambin es posible buscar entre el listado una 
variable determinada (con el men "Buscar").

Si se desea un acceso a los datos ms rpido, o un acceso a los datos 
"off line", es posible seleccionar la lnea que muestra la base de datos 
que interese, en la ventana inicial de bases de datos, y presionar el 
botn "Instalar". Esto har que la base de datos se descargue en formato 
comprimido, despus se puede descomprimir e instalar en el disco
duro. Ms adelante podremos encontrarla bajo el men "Archivo, Revisar 
bases de datos, Nativa gretl". (Esta caracterstica de gretl depende de 
otros proyectos de software de 'fuente abierta': la biblioteca de 
compresin de datos zlib y el programa descargador GNU "wget", de los 
cuales gretl ha tomado prestados algunos trozos de cdigo).

#
panel
@Conjunto de datos
Establece estructura de datos de panel

Las dos opciones disponibles aqu son "series temporales apiladas" y 
"secciones cruzadas apiladas". Si se quiere hacer uso de la
instruccin "MCO combinados" y sus diagnsticos de panel asociados, 
gretl debe saber en qu forma estn organizados los datos. "Series 
temporales apiladas" significa que los bloques del fichero de datos son 
series temporales para cada una de las unidades de seccin cruzada. Por 
ejemplo, las primeras 10 filas de datos podran representar los valores 
de ciertas variables para el pas A durante 10 periodos, las siguientes 
10 filas los valores para el pas B durante los mismos 10 periodos, y 
as sucesivamente. "Secciones cruzadas apiladas" significa que los 
bloques del fichero de datos son secciones cruzadas para cada uno de los 
periodos. Por ejemplo, las primeras 6 filas de datos podran representar 
los valores de ciertas variables para los pases A a F para el ao 1970, 
las siguientes 6 filas los valores para los mismos pases en 1971, y as 
sucesivamente.

Si se guarda el fichero de datos despus de establecer este atributo, la 
informacin se grabar en el fichero de datos y no ser necesario 
establecerlo de nuevo la prxima vez que se usen estos datos.


#
pooled
@Estimacin
Estimacin de MCO combinados

Esta instruccin se utiliza con datos de panel. Para sacar provecho de 
ella, se debera especificar un modelo sin ninguna variable ficticia
representando a las unidades de seccin cruzada. La rutina presenta 
estimaciones de MCO combinados directamente, las cuales tratan las
variaciones de seccin cruzada y de series temporales de igual forma.
Este modelo puede ser o puede no ser apropiado. Bajo el men de 
"Contrastes" en la ventana del modelo se puede encontrar una entrada 
"diagnsticos de panel", en la cual se contrastan MCO combinados contra
las principales alternativas: los modelos de efectos fijos y de efectos 
aleatorios.

En el modelo de efectos fijos se aade una variable ficticia para todas 
las unidades de seccin cruzada excepto una, permitiendo as al trmino 
constante de la regresin variar a travs de las unidades (individuos).
Se presenta un estadstico F para contrastar la significatividad 
conjunta de dichas variables ficticias: si el valor p de este contraste 
es pequeo, esto es una indicacin en contra de la hiptesis nula (de
que el modelo simple combinado es el adecuado) y en favor del modelo de 
efectos fijos.

Por otro lado, el modelo de efectos aleatorios descompone la varianza 
residual en dos partes, una parte especfica de la unidad de seccin 
cruzada o "grupo" y la otra especfica de la observacin particular. 
(Este estimador slo puede calcularse si el panel es suficientemente 
"ancho", es decir, si el nmero de unidades de seccin cruzada que hay 
en el conjunto de datos es superior al nmero de parmetros a estimar).
El estadstico LM de Breusch-Pagan contrasta la hiptesis nula (de 
nuevo, de que el estimador de MCO combinados es el adecuado) contra la 
alternativa de efectos aleatorios.

Es muy posible que el modelo de MCO Combinados sea rechazado contra 
ambas alternativas (efectos fijos y efectos aleatorios). Cmo se puede 
entonces determinar cul de los dos estimadores es ms apropiado? El 
contraste de Hausman (que tambin se presenta, dado que se puede estimar 
el modelo de efectos fijos) da una indicacin en este sentido. Si
que el error especfico de unidad --o grupo-- est incorrelacionado con
las variables independientes, el estimador de efectos aleatorios es ms
eficiente que el de efectos fijos; en caso contrario el estimador de 
efectos aleatorios es inconsistente y entonces ser preferible el
estimador de efectos fijos. La hipotesis nula para el contraste de
Hausman es que el error especfico de grupo no est muy correlacionado 
(y por tanto, es preferible el estimador de efectos fijos). Entonces,
para este contraste, un valor p pequeo es una indicacin en contra del
modelo de efectos aleatorios y a favor del de efectos fijos.

Para un desarrollo riguroso de este tema ver  "Anlisis
Economtrico" de Greene (4 edicin), captulo 14.

#
probit
@Estimacin
Regresin Probit

La variable dependiente debera ser una variable binaria. Se utiliza
el mtodo de mnimos cuadrados iterativos (el mtodo EM o de
expectativa-maximizacin) para obtener las estimaciones
mximo-verosmiles de los coeficientes de las variables independientes.
Como el modelo es no lineal, las pendientes dependen de los valores de
las variables independientes: las pendientes que gretl muestra se
evalan en las medias de dichas variables. El estadstico Chi-cuadrado
contrasta la hiptesis nula de que todos los coeficientes, excepto la
constante, son cero.

#
rhodiff
@Transformaciones
Uso:            rhodiff rho listavar
Ejemplo:        rhodiff .65 2 3 4

Crea las correspondientes variable rho-diferenciadas de las variables 
(dadas por nmero o nombre) de listavar y las aade al conjunto de 
datos.  Sea la variable v1 de la lista entonces se crea
rd_v1 = v1(t) - rho*v1(t-1).

#
scatters
@Grficos
Multiples grficos cruzados por parejas

Representa un conjunto de graficos cruzados de la "variable del eje Y"
elegida con respecto a las "variables del eje X" elegidas
consecutivamente. Puede ser til echar un vistazo a estos grficos al 
hacer un anlisis exploratorio de datos. El nmero maximo de grficos es 
seis; cualquier variable extra en el eje X ser ignorada.

#
seed
@Programacin
Pone en marcha el generador de nmeros aleatorios

Requiere como entrada un entero. Establece la semilla para el generador 
de nmeros pseudoaleatorios utilizado por las opciones "Aleatoria 
uniforme" y "Aleatoria normal" bajo el men de "Datos, Aadir 
variables". Por defecto, la semilla se establece, utilizando la hora del 
sistema, cuando se inicia el programa. Si se desea obtener secuencias de
nmeros pseudoaleatorios repetibles es necesario establecer la semilla
de forma manual.


#
setobs
@Conjunto de datos
Establece la frecuencia de los datos y la observacin inicial

Utilice esta orden para forzar al programa a interpretar el conjunto de 
datos actual como "de series temporales" o "de panel" cuando los datos 
se han ledo inicialmente como series simples sin fecha. Se necesitan 
dos parmetros: una frecuencia entera y una observacin inicial 
(normalmente una fecha).

Ejemplos de entradas vlidas:

  4 1990.1       Interpretar los datos como trimestrales, 
                 comenzando en 1990, trimestre 1.
  12 1978.03     Interpretar los datos como mensuales, comenzando en 
                 marzo de 1978
  20 1.01        Frecuencia de datos 20, comenzando en la observacin
                 1.01 (datos de panel)
  5 72/01/10     Datos diarios (5 das por semana), desde 10 de enero
                 de 1972
  7 02/01/10     Datos diarios (7 das por semana), desde 10 de enero
                 de 2002

#
sim
@Conjunto de datos
(Simulacin)
Introducir datos simulados en una variable

Esta instruccin requiere una observacin inicial, una observacin 
final, el nombre de una variable (ya existente en el conjunto de datos) 
en la cual introducir los valores y una lista de coeficientes
autorregresivos, que pueden ser constantes numricas o nombres 
de variables. Por ejemplo, si en el dilogo de simulacin se introduce
    
    1979.2 1983.1 y 0 0.9

esto rellenar y, desde 1979.2 hasta 1983.1 con los valores

    y(t) = 0 + 0.9 y(t-1)

De forma similar

    15 25 y 10 0.8 x

generar desde la observacin 15 a la 25:

    y(t) = 10 + 0.8 y(t-1) + x(t) y(t-2)

#
sampling
@Conjunto de datos
(Muestreo)
Seleccionar una submuestra del conjunto de datos actual.

Si se elige "Muestra/Definir a partir de v.ficticia..." es necesario 
suministrar el nombre de una variable ficticia (indicador) que 
debera tener los valores 0 o 1 en cada observacin. La muestra se 
restringir a aquellas observaciones para las cuales la variable 
ficticia tome valor 1. (Haciendo "click" en la lnea de una variable en 
la ventana principal de los datos se insertar el nombre de esa variable 
en la caja de dilogo).

Si se elige "Muestra/Restringir a partir de criterio..." es necesario 
proporcionar una expresin booleana (lgica), del mismo tipo que 
se utilizara para definir una variable ficticia. Por ejemplo, la 
expresin "sqft > 1400" seleccionar slo los casos para los que la 
variable sqft tenga un valor mayor que 1400. Las condiciones pueden 
estar concatenadas utilizando los operadores lgicos "&" (Y lgico) y
"|" (O lgico).

La entrada de men "Muestra/Quitar todas las obs. con valores 
perdidos..." redefine la muestra excluyendo todas las observaciones para 
las que los valores de una o ms variables estn "perdidos" (dejando 
slo las observacione completas, en las que hay un valor numrico para 
todas las variables).

Al definir una muestra a partir de una variable ficticia, una expresin 
booleana o por el criterio de los valores perdidos hay que sealar que
cualquier informacin "estructural" en el fichero de encabezamiento de 
datos (con relacin a la naturaleza de 'series temporales' o 'de panel' 
de los datos) se perder. Es posible reimponer de nuevo la estructura 
mediante "Muestra/Establecer frecuencia, observacin inicial..."

Para slo reorganizar la muestra especificando una observacin inicial y 
una final ver "smpl".


#
smpl
@Conjunto de datos
(Establecer el rango muestral)

Reestablece el rango muestral especificando una observacin inicial y
una observacin final (Muestra/Establecer rango...). Este mecanismo se
utiliza para establecer una submuestra de una serie temporal de datos.
Las observaciones inicial y final dadas deberan estar en un formato
consistente con la frecuencia de los datos, p.ej. "1985.1" para datos
trimestrales o ""1996.03" para datos mensuales (marzo de 1996).

#
spearman
@Estadsticos

Calcula el coeficiente de correlacin por rangos de Spearman para un par 
de variables especificado. No es necesario antes ordenar y hacer el
ranking de las variables, la funcin se encarga de ello.

El ranking automtico es de mayor a menor (es decir, al dato mayor se le 
asigna rango 1). Si se necesita invertir este ranking, esto se puede 
hacer creando una nueva variable que sea el negativo de la original. Por 
ejemplo:

  genr altx = -x
  spearman altx y

#
square
@Transformaciones
(Cuadrados)

Genera nuevas variables que son los cuadrados de las variables de la
lista dada. Las nuevas variables se nombran con el prefijo "sq_", as
por ejemplo, la nueva variable sq_x = x^2 (al cuadrado).

#
store
@Conjunto de datos
(Guardar los datos)

Guarda un conjunto de datos gretl. Hay dos opciones para el formato de
los datos guardados.

(1) "Formato Standard": los datos se guardan en el formato xml de gretl.
(2) "Comprimido gzip": como arriba, pero utilizando compresin de tipo
     gzip. Esto ahorra espacio de disco, puede ser til para conjuntos
     de datos grandes.

#
tsls
@Estimacin
(mc2e)
Mnimos cuadrados en dos etapas

Esta orden necesita la seleccin de dos listas de variables: las 
variables independientes que aparecern en el modelo dado y un conjunto 
de "instrumentos". Este ltimo comprende las variables exgenas y/o 
predeterminadas que pueden usarse como regresores para obtener valores 
estimados de las variables endgenas del lado derecho e la ecuacin del 
modelo. Si alguna de las variables del lado derecho del modelo son
exgenas, stas deberan aparecer en ambas listas.


#
var
@Estimacin
Autorregresin vectorial

Esta instruccin necesita un orden de retardos entero. Hay que 
seleccionar las variables dependiente e independientes para la primera 
ecuacin del sistema; estas se permutarn para obtener las
ecuaciones restantes. NO INCLUIR NINGUNA VARIABLE RETARDADA en la lista 
de variables independientes --se aadirn automticamente.

En general, se realizar una regresin para cada variable de la lista, 
excepto la constante, la tendencia temporal y cualquier variable 
ficticia. La salida de cada ecuacin incluye los contrastes F para 
restyricciones cero sobre todos los retardos de cada una de las 
variables y un contraste F para el mximo retardo.

#
vartest
@Contrastes
(Contraste de varianzas)

Calcula el estadstico F para la hiptesis nula de que las varianzas
poblacionales para las dos variables elegidas son iguales y muestra su
valor p.

#
wls
@Estimacin
(mcp)
Mtodo de mnimos cuadrados ponderados

Sea "varpond" la variable elegida en la caja de "variable de
ponderaciones". Se ejecuta una regresin MCO, donde la variable
dependiente es el producto de varpond por la variable dependiente
elegida y las variables independientes  tambin se multiplican por
varpond. Si varpond es una variable ficticia, esto es equivalente a 
eliminar todas las observaciones que tengan el valor cero para varpond.

