#
add
@Tests
Uso:            add listavar
Ejemplos:       add 5 7 9	          add xx yy zz

Se aaden las variables de la lista 'listavar' al modelo anterior y se estima
el nuevo modelo. Si se aade ms de una variable, se presenta el estadstico F
para las variables aadidas (slo para el mtodo MCO) junto con su valor-p. Un
valor-p inferior a 0.05 indica que los coeficientes son conjuntamente
significativos al nivel del 5 por ciento.

#
addto
@Tests
Uso:            addto model_ID listavar
Ejemplo:        addto 2 5 7 9

Funciona como la instruccin "add", pero aqu hay que especificar un modelo
anterior (lo cual se hace utilizando su nmero de ID, que se presenta al
principio de los resultados del modelo) para tomarlo como base al aadir las
variables. En el ejemplo de arriba se aaden las variables con nmeros 5, 7 y
9 al modelo 2.

#
adf
@Tests
Uso:	        adf orden nombrevar
Ejemplo:        adf 2 x1

Calcula los estadsticos para dos contrastes de Dickey-Fuller. En ambos casos
la hiptesis nula es que la variable en cuestin presenta una raz unitaria.

El primero es un contraste t basado en el modelo
(1 - L)x(t) = m + g * x(t-1) + e(t).
La hiptesis nula es que g = 0.

En el segundo contraste (aumentado) se estima una regresin no restringida
(teniendo como regresores una constante, una tendencia temporal, el primer
retardo de la variable y "orden" retardos de la primera diferencia) y una
regresin restringida (quitando la tendencia temporal y el primer retardo).
El estadstico de contraste es F calculado como

[(SCRr - SCRnr)/2]/[SCRnr/(T - k)]

donde T es el tamao muestral y k el nmero de parmetros del modelo no
restringido. Es necesario tener en cuenta que los valores crticos para
estos estadsticos no son los usuales.

#
ar
@Estimation
Uso:            ar retardos ; vardep varindep      o
                ar retardos ; -o vardep varindep
Ejemplo:        ar 1 3 4 ; y 0 x1 x2 x3

Calcula las estimaciones de un modelo utilizando el procedimiento iterativo
generalizado de Cochrane-Orcutt (ver Ramanathan, seccin 9.5). Las iteraciones
se terminan cuando las sucesivas sumas de cuadrados residuales no varan ms
del 0.005 por ciento o cuando han transcurrido 20 iteraciones. 'retardos' es
una lista de retardos de los residuos, que acaba con un punto y coma. En el
ejemplo de arriba el trmino de error se especifica como

u(t) = rho1 u(t-1) + rho3 u(t-3) + rho4 u(t-4) + et

'vardep' es la variable dependiente y 'varindep' es la lista de variables
independientes que van separadas con espacios. Utilice el nmero 0 para un
trmino constante. Si se usa la opcin -o se presentar la matriz de varianzas
y covarianzas de los coeficientes de regresin. Los residuos de la regresin
transformada se guardan bajo el nombre 'uhat' y pueden recuperarse usando la
instruccin 'genr'.

#
arch
@Tests
Uso:            arch retardo vardep varindep
Ejemplos:       arch 4 1 0 2 4 6 7      o  arch 4 y 0 x1 x2 x3 x4

Esta instruccin contrasta la posibilidad de un ARCH en el modelo, del orden
especificado en "retardo" (que debe de ser entero). Si el estadstico de
contraste LM tiene un valor-p inferior a 0.10 tambin se realiza la estimacin
ARCH. Si la varianza predicha de cualquier observacin en la regresin
auxiliar no es positiva, se utiliza en su lugar el correspondiente 'uhat'
(residuo) al cuadrado. Luego, se estima por mnimos cuadrados ponderados el
modelo original.


#
chow
@Tests
Uso:           chow obs
Ejemplos:      chow 25
               chow 1988.1

Primero debe ejecutarse una regresin por MCO. Crea una variable ficticia que
es igual a 1 desde el punto de corte especificado en "obs" hasta el final de
la muestra y 0 en el resto. Tambin crea los trminos de interaccin entre
esta variable ficticia y las variables independientes originales. Se ejecuta
una regresin aumentada incluyendo estos trminos y se calcula un estadstico
F, tomando la regresin aumentada como 'no restringida' y la original como
'restringida'. Este estadstico es adecuado para contrastar la hiptesis nula
de que no hay cambio estructural en el punto de ruptura indicado.


#
coint
@Tests
Uso:	        coint orden vardep varindep
Ejemplos:       coint 2 y x
                coint 4 y x1 x2

Realiza los contrastes de Dickey-Fuller para cada una de las variables
listadas.  Para cada variable, considera la hiptesis nula de que la variable
tiene una raz unitaria y utiliza para el contraste el orden de retardos dado.
Se estima la regresin cointegrante y se realiza un contraste ADF sobre los
residuos de esta regresin. Tambin se proporciona el estadstico de
Durbin-Watson para la regresin cointegrante.

	Hay que sealar que para ninguno de estos estadsticos de contraste se
pueden aplicar las tablas estadsticas usuales.

#
corc
@Estimation
Uso:          corc vardep varindep       o    corc -o vardep varindep
Ejemplos:       corc 1 0 2 4 6 7                corc -o 1 0 2 4 6 7
                corc y 0 x1 x2 x3               corc -o y 0 x1 x2 x3

Calcula las estimaciones de un modelo utilizando el procedimiento iterativo de
Cochrane-Orcutt (ver Ramanathan, Seccin 9.4) siendo 'vardep' la variable
dependiente y siendo 'varindep' una lista de variables independientes
separadas por espacios y acabando con un ;. Utilice el nmero 0 para un
trmino constante.  El proceso iterativo se detiene cuando valores sucesivos
de rho no difieren en ms de 0.001 o cuando han transcurrido 20
iteraciones. Si se utiliza la opcin -o, se muestra la matriz de covarianzas
de los coeficientes de regresin. La regresin transformada final se calcula
para el rango de observacin primobs+1 ultobs que est actualmente en
efecto. Los residuos de esta regresin transformada se guardan con el nombre
'uhat'.


#
corr
@Statistics
Uso:         corr
             corr listavar

'corr' muestra los coeficientes de correlacin para todos los pares de
variables que hay en el conjunto de datos (los valores perdidos, que se
denotan por -999, no se tienen en cuenta). 'corr listavar' muestra los
coeficientes de correlacin para las variables listadas.


#
corrgm
@Statistics
Uso:          corrgm nombrevar o numerovar
              corrgm nombrevar o numerovar maxretardo

Muestra los valores de la funcin de autocorrelacin para la variable
especificada (ver Ramanathan, seccin 11.7). Es, por tanto, corr[u(t),
u(t-s)], donde u(t) es la observacin t-sima de la variable u y s es el
nmero de retardos. Tambin se muestran las correlaciones parciales: estas
tienen descontado el efecto de los retardos que intervienen. La instruccin
tambin representa el correlograma y calcula el estadstico Q de Box-Pierce
para contrastar la hiptesis nula de que la serie es 'ruido blanco'. Este se
distribuye asintticamente como una chi-cuadrado con un nmero de grados de
libertad igual al nmero de retardos utilizados.

Si se suministra un nmero entero 'maxretardo' la largura del correlograma se
limita a, como mximo, ese nmero de retardos, en caso contrario la largura se
determina automticamente.


#
criteria
@Utilities
Uso:          criteria scr T k        p.ej. criteria 23.45 45 8

Dados scr (suma de cuadrados de los residuos), el nmero de observaciones (T)
y el nmero de coeficientes (k), calcula los estadsticos de seleccin de
modelos (ver Ramanathan, Seccin 4.4). T, k y scr pueden ser valores numricos
o los nombres de variables definidas previamente.

#
critical
@Utilities
Uso:            critical t gl           p.ej. critical t 20
                critical X gl           p.ej. critical X 5
                critical F gln gld      p.ej. critical F 3 37
                critical d n            p.ej. critical d 24

Si el primer parmetro es t, X o F, muestra los valores crticos para la
distribucin t de student, chi-cuadrado o F respectivamente, para los niveles
de significacin ms comunes, utilizando los grados de libertad especificados.
Si el primer parmetro es d, muestra los valores superior e inferior del
estadstico de Durbin-Watson al nivel de significacin del 5 por ciento para
el valor de n (nmero de observaciones) dado y para el rango de 1 a 5
variables explicativas.


#
cusum
@Tests
Uso:          cusum

Debe ejecutarse despus de una estimacin MCO. Desarrolla el contraste CUSUM
de estabilidad de los parmetros. Se obtiene una serie de errores de
prediccin (escalados) un paso hacia adelante, ejecutando para ello una serie
de regresiones: la primera regresin se realiza con las primeras k
observaciones (donde k es el nmero de parmetros en el modelo original) y se
usa para generar una prediccin de la variable dependiente para la observacin
k+1; la segunda utiliza las primeras k+1 observaciones y genera una prediccin
para la observacin k+2 y as sucesivamente. Se muestra y representa
grficamente la suma acumulada de los errores de prediccin escalados. Se
rechaza, al nivel de significacin del 5 por ciento, la hiptesis nula de
estabilidad de los parmetros si la suma acumulada sale fuera de las bandas
del 95 por ciento de confianza.

Tambin se proporciona el estadstico t de Harvey-Collier para contrastar la
hiptesis nula de estabilidad de los parmetros. Ver Captulo 7 del libro de
Greene 'Econometric Analysis' para ms detalles.

#
delete
@Dataset
Uso:          delete

Elimina la ltima (la de nmero ms alto) variable del conjunto de datos
actual.  Utilcela con precaucin: no se pide confirmacin. Puede ser til
para eliminar variables ficticias temporales. Slo se puede eliminar la ltima
variable.

#
diff
@Transformations
Uso:          diff listavar

Se toma la primera diferencia de cada variable en 'listavar' y el resultado se
guarda en una nueva variable con el prefijo "d_". As, "diff x y" crea las
nuevas variables d_x=x(t)-x(t-1) y d_y = y(t) - y(t-1).

#
endloop
@Programming

Termina un bucle de simulacin. Ver "loop".

#
eqnprint
@Printing
Uso:            eqnprint
                eqnprint -o

Debe ejecutarse despus de una estimacin por MCO. Imprime el modelo estimado,
en forma de ecuacin LaTeX, a un fichero cuyo nombre tiene la estructura
"equation_N.tex", donde N es el nmero de modelos estimados hasta el momento
en la sesin actual. Este puede incorporarse en un documento LaTeX. Ver
tambin la instruccin 'tabprint'.

Si se utiliza la opcin -o, el fichero LaTeX es un documento completo (con
prembulo LaTeX) listo para procesar; en caso contrario debe incluirse en un
documento (que ya tenga el prembulo).


#
fcast
@Prediction
Uso:            fcast primobs ultobs nuevonombrevar
                fcast nuevonombrevar
Ejemplo:        fcast ajustados

Los valores ajustados en la ltima regresin ejecutada se guardan bajo
'nuevonombrevar'. Estos valores pueden mostrarse e representarse
grficamente. Las variables del lado derecho de la ecuacin son las del modelo
original. No hay posibilidad de cambiar a otras variables. Si se especifican
las observaciones inicial ('primobs') y final ('ultobs') la prediccin se
restringe al rango especificado. Si se ha especificado un trmino de error
autorregresivo (en 'hilu','corc' y 'ar'), la prediccin es condicional un paso
adelante e incorpora el proceso del error.


#
fcasterr
@Prediction
Uso:            fcasterr primobs ultobs
                fcasterr primobs ultobs -o

Despus de estimar un modelo MCO que incluya una constante y al menos una
variable independiente (estas restricciones pueden relajarse en algn punto),
se puede usar esta instruccin para mostrar los valores ajustados sobre el
rango de observacin especificado, junto con las desviaciones tpicas
estimadas de estas predicciones y los intervalos de 95 por ciento de
confianza. Si se utiliza la opcin -o tambin se mostrarn los resultados en
grficos gnuplot.


#
fit
@Prediction
Uso:		fit

Esta orden (que debe seguir a una instruccin de estimacin) es una atajo para
la instruccin 'fcast'. Genera valores ajustados para la muestra actual,
basados en la ltima regresin y los guarda en una serie denominada "autofit".
En modelos de series temporales tambin muestra un grfico gnuplot de los
valores actual y estimado de la variable dependiente contra el tiempo.

#
freq
@Statistics
Uso:          freq nombrevar (o numerovar)

Muestra la distribucin de frecuencias de 'nombrevar' o 'numerovar'; tambin
se proporcionan los resultados de una contraste chi-cuadrado de normalidad. El
estadstico para este ltimo es:

  tamao_muestral * [asimetra^2/6 + (CURTOSIS - 3.0)^2/24.0]

Bajo la hiptesis nula de normalidad se distribuye como una chi-cuadrado con 2
grados de libertad.

En modo interactivo se genera un grfico gnuplot de la distribucin.


#
genr
@Dataset
Uso:          genr nuevonombrevar = formula

Crea nuevas variables, normalmente por medio de transformaciones de variables
ya existentes. Ver tambin 'diff', 'logs', 'lags', 'ldiff', 'multiply' y
'square' como atajos.

Las operaciones aritmticas permitidas son, en orden de precedencia:
^(exponenciacin); *, / y % (mdulo o resto); + y -.

Los operadores booleanos (de nuevo en orden de precedencia) son:
! (NO lgico [NOT]), & (Y lgico [AND]), | (O lgico [OR]), >, <, =
y los smbolos compuestos != (no igual), >= (mayor o igual que) y
<= (menor o igual que).  Los operadores booleanos pueden usarse al
definir variables ficticias: por ejemplo (x > 10)
produce 1 si x(t) > 10, 0 en los dems casos.

Las funciones permitidas pertenecen a estos grupos: 
-Funciones matemticas
standard: abs, cos, exp, int (parte entera), ln (logaritmo natural: log es
un sinnimo), sin (seno), sqrt (raz cuadrada). 
-Funciones estadsticas: mean (media aritmtica), median (mediana), 
var (varianza), sd(desviacin tpica o standard), sum, cov (covarianza), 
corr (coeficiente de correlacin).
-Funciones de series temporales: lag (retardo), lead (adelanto), 
diff (primera diferencia), ldiff (log-diferencia, o primera diferencia del
logaritmo natural).  
-Miscelneas: cum (acumulacin), sort (ordenar), uniform, normal, 
misszero (reemplazar los cdigos de 'observacin perdida'  por ceros), 
zeromiss (operacin inversa de misszero), y pvalue (valor de probabilidad
para un estadstico dado contra una distribucin especificada).

Todas las funciones anteriores, con las excepciones de cov, corr, uniform,
normal y pvalue, toman como nico argumento o el nombre de una variable (hay
que tener en cuenta que en 'genr' no podemos referirnos a una variable por su
nmero de ID) o una expresin compuesta que se evala en una variable (p.ej.
ln((x1+x2)/2)).  'cov' y 'corr' necesitan dos argumentos y producen
respectivamente la covarianza y el coeficiente de correlacin entre dos
variables especificadas.  uniform() y normal(), que no tienen argumentos,
producen series pseudo-aleatorias obtenidas a partir de la distribucin
uniforme (0-100) y la distribucin normal standard respectivamente (ver
tambin la instruccin seed).

La funcin pvalue() toma los mismos argumentos que la orden pvalue (ver ms
abajo), pero en este contexto deben situarse comas entre sus argumentos.

Adems de los operadores y funciones mencionados hay algunos usos especiales 
de 'genr':

* genr time crea una variable de tendencia temporal (1,2,3,...) denominada time.
* genr index crea una variable ndice (1,2,3,...) denominada index.
* genr dummy crea variables ficticias hasta la periodicidad de los datos.
  P.ej. en el caso de datos trimestrales (periodicidad 4), el programa crea
  dummy_1 = 1 para el primer trimestre y 0 en los otros trimestres, dummy_2 = 1
  para el segundo trimestre y 0 en los otros trimestres, y as sucesivamente.
* genr paneldum crea un conjunto de variables ficticias especiales para el uso
  con un panel de datos (ver el manual de gretl para ms detalle)
* Pueden recuperarse usando 'genr' varias variables internas que se definen 
  mientras se ejecuta una regresin. Esto se hace de la siguiente forma:

  $ess         suma de cuadrados de los residuos
  $rsq         R-cuadrado no corregido
  $T           nmero de observaciones utilizadas en el modelo
  $df          grados de libertad
  $trsq        TR^2 (tamao muestral por el R-cuadrado)
  $sigma       desviacin tpica de los residuos
  $lnl         log-verosimilitud (en modelos logit y probit)
  coeff(var)   coeficiente estimado para var
  stderr(var)  desviacin tpica estimada para var
  rho(i)       coeficiente de autorregresin de orden i-simo de los residuos
  vcv(xi,xj)   covarianza entre los coeficientes de las variables xi y xj

La variable interna $nobs contiene el nmero de observaciones en el rango 
muestral actual, que puede ser o puede no ser igual al $T del ltimo modelo.

La variable interna t sirve para referirse a las observaciones, comenzando 
en 1. As uno puede hacer "genr dum15 = (t=15)" para generar una variable 
ficticia con valor 1 para la observacin 15 y 0 en el resto.

Ejemplos de instrucciones 'genr':

  genr y = x1^3          [x1 al cubo]
  genr y=ln((x1+x2)/x3)  [argumento compuesto para una funcin ln]
  genr z=x>y             [asigna z(t) a 1 si x(t) > y(t), en otro caso a 0]
  genr y=x(-2)           [x retardada 2 periodos]
  genr y=x(2)            [x adelantada 2 periodos]
  genr y = mean(x)       [media aritmtica]
  genr y = diff(x)       [y(t) = x(t) - x(t-1)]
  genr y = ldiff(x)      [y = ln(x(t)) - ln(x(t-1))]
                          ldiff(x) es la tasa de crecimiento instantnea de x.
  genr y = sort(x)       [ordena x en orden creciente y lo guarda en y]
  genr y = - sort(-x)    [ordena x en orden decreciente]
  genr y = int(x)        [trunca x y guarda su valor entero como y]
  genr y = abs(x)        [guarda los valores absolutos de x]
  genr y = sum(x)        [suma los valores de x excluyendo los valores 
                          perdidos -999]
  genr y = cum(x)        [acumula x: y(t) es la suma de x hasta t]
  genr aa = $ess         [aa = suma de cuadrados de los residuos de la 
                          ltima regresin]
  genr x = coeff(sqft)   [guarda en x el coeficiente de la variable sqft obtenido 
                          en el ltimo modelo]
  genr rho4 = rho(4)     [guarda en rho4 el coeficiente autorregresivo de 
                          cuarto orden
                          obtenido del ltimo modelo (supone un modelo ar)]
  genr cv=vcv(x1, x2)    [covarianza entre los coeficientes de x1 y x2 en el 
                          ltimo modelo]
  genr x=uniform()/100   [variable pseudo-aleatoria uniforme, de rango 0 a 1]
  genr x=3*normal()      [variable pseudo-aleatoria normal, de media 0 y
                          desv. tpica 3]
  genr x=pvalue(t,20,1.4)[valor p para 1.4, bajo la distribucin t con 20 
                          grados de libertad]

Sugerencias sobre variables ficticias:

* Supongamos que x se codifica con los valores 1, 2, o 3 y Vd desea tres 
variables ficticias d1 = 1 si x = 1, 0 en otro caso, d2 = 1 si x = 2, y as 
sucesivamente. Para crear estas, utilice las instrucciones 
genr d1 = (x=1), genr d2 = (x=2), y genr d3 = (x=3).

* Para obtener la serie z = max(x,y) haga genr d=x>y y genr z=(x*d)+(y*(1-d))

#
gnuplot
@Graphs
Uso:            gnuplot yvar1 xvar [ opcin ]
                gnuplot yvar1 yvar2 xvar [ opcin ]
		gnuplot yvar xvar ficticia -z

En los dos primeros casos las variables yvars se representan contra xvar.  Si
se proporciona la opcin -o el grfico utilizar lneas; si se da la opcin -m
el grfico utiliza impulsos (lneas verticales); en los dems casos se usan
puntos.

En el tercer caso, yvar se representa contra xvar mostrando los puntos en
diferentes colores dependiendo de si el valor de 'ficticia' es 1 o 0.

Para crear un grfico de serie temporal, pedir "gnuplot yvars time".  Si no
existe la variable "time", se generar automticamente.  Se crearn variables
ficticias especiales para representar datos trimestrales y mensuales.

En modo interactivo, el resultado se pasa a gnuplot para que lo muestre en
pantalla.  En modo 'batch' se graba un fichero de nombre gpttmp<n>.plt, donde
<n> es un nmero entre 1 y 99. Ms tarde, pueden generarse los grficos usando
la instruccin de consola "gnuplot gpttmp<n>.plt".

#
graph
@Graphs
Uso:            graph var1 var2
                graph -o var1 var2
                graph var1 var2 var3

En los dos primeros ejemplos, la variable var1 (que puede ser un nombre o un
nmero) se representa (eje y) contra var2 (eje x). La opcin -o har el
grfico con 40 filas y 60 columnas, sin ella el grfico ser de 20 por 60
(salida de pantalla). En el tercer ejemplo, las dos, var1 y var2 se
representarn (sobre el eje y) contra var3. Esto es especialmente til para
representar los valores observados y predichos contra el tiempo.

#
hausman
@Tests
Uso:          hausman

Este contraste slo est disponible despus de haber estimado un modelo
utilizando la orden "pooled" (ver tambin las instrucciones "panel" y
"setobs"). Contrasta el modelo combinado simple contra las alternativas
principales, los modelos de efectos fijos y de efectos aleatorios.

En el modelo de efectos fijos se aade una variable ficticia para todas las
unidades de seccin cruzada menos una, permitiendo al trmino constante de la
regresin que vare a travs de las unidades. En el modelo de efectos
aleatorios se descompone la varianza residual en dos partes, una parte
especfica de la unidad de seccin cruzada y la otra especfica de la
observacin particular. (Este estimador slo puede calcularse si el nmero de
unidades de seccin cruzada en el conjunto de datos es mayor que el nmero de
parmetros a estimar. Se presenta el estadstico LM de Breusch-Pagan para
contrastar la hiptesis nula (de que el estimador MCO combinado es adecuado)
contra la alternativa de efectos aleatorios.

El modelo de MCO combinados puede ser rechazado contra ambas alternativas,
efectos fijos y efectos aleatorios. Si el error especfico de grupo -o de
unidad- est incorrelacionado con las variables independientes, el estimador
de efectos aleatorios es ms eficiente que el estimador de efectos fijos; en
caso contrario, el estimador de efectos aleatorios es inconsistente y ser
preferible utilizar el estimador de efectos fijos. La hiptesis nula para el
contraste de Hausman es que el error especfico de grupo no est
correlacionado con las variables explicativas (y por tanto, que es preferible
el modelo de efectos aleatorios). Un valor p bajo para este contraste es una
indicacin en contra del modelo de efectos aleatorios y a favor del de efectos
fijos.


#
hccm
@Estimation
Uso:           hccm vardep varindep
            o  hccm -o vardep varindep

(Heteroskedasticity Consistent Covariance Matrix) Presenta las estimaciones de
MCO con las desviaciones tpicas de los coeficientes obtenidas por medio de
una estimacin de la matriz de varianzas y covarianzas consistente ante
heterocedasticidad. Utiliza para ello el mtodo "jacknife" de MacKinnon-White.


#
help
@Utilities
help              proporciona una lista de instrucciones gretl
help nombreinst   describe la instruccin 'nombreinst' (p.ej. help smpl)

#
hilu
@Estimation
Uso:            hilu vardep varindep       o    hilu -o vardep varindep
Ejemplos:       hilu 1 0 2 4 6 7                hilu -o 1 0 2 4 6 7
                hilu y 0 x1 x2 x3               hilu -o y 0 x1 x2 x3

Calcula las estimaciones de un modelo utilizando el procedimiento de bsqueda
de Hildreth-Lu (se hace el ajuste fino usando el mtodo de Cochrane-Orcutt)
siendo 'vardep' la variable dependiente y 'varindep' una lista de variables
independientes separadas por espacios. Utilice el nmero 0 para incluir un
trmino constante. Se representa grficamente la suma de cuadrados de los
residuos del modelo transformado contra los valores de rho desde -0.99 hasta
0.99. Si se usa la opcin -o se mostrar tambin la matriz de varianzas y
covarianzas de los coeficientes. Finalmente, la ltima regresin transformada
se estima para el rango de observacin primobs+1 ultobs que est en
efecto. Los residuos de esta regresin transformada se guardan bajo el nombre
'uhat'.


#
hsk
@Estimation
Uso:            hsk vardep varindep
            o   hsk -o vardep varindep

Calcula estimaciones corregidas de heterocedasticidad y sus estadsticos
asociados. Se ajusta una regresin auxiliar para el logaritmo de los cuadrados
de los residuos (utilizando los cuadrados de las variables independientes,
pero no sus productos cruzados) y a partir de esta estimacin se obtienen los
estimadores de mnimos cuadrados ponderados del modelo inicial. Si se usa la
opcin -o, se mostrar tambin la matriz de varianzas y covarianzas estimada
de los coeficientes de la regresin.


#
if
@Programming
Uso:            if condicin_boolena
                  instruccin1
                  instruccin2 ...
                endif

Las instrucciones gretl que estn dentro del bloque "if ... endif" se ejecutan
si y slo si la condicin booleana se evala como cierta (no cero).  Para
conocer la sintaxis de las condiciones booleanas en gretl, ver la instruccin
'genr'. Opcionalmente, la orden "endif" puede ir precedida de una orden "else"
(en una lnea aparte para ella sola, como las instrucciones "if" y "endif"),
seguida de un bloque de instrucciones a ejecutar si la condicin booleana
original se evala como falsa (cero). Los bloques entre "if", "else" y "endif"
pueden contener tantas rdenes como Vd quiera y estas condiciones pueden estar
anidadas. Cada orden "if" debe estar emparejada con una orden "endif".


#
import
@Dataset
Uso:            import archivo_csv
                import -o archivo_box

Sin la opcin -o, importa datos desde un archivo que tenga formato de 'valores
separados por comas' (CSV), como por ejemplo los que se pueden escribir
fcilmente desde cualquier programa de hoja de clculo. El archivo debera
tener en la primera lnea nombres de variables y, en el resto, una matriz de
datos rectangular. Las variables deberan estar alineadas "por observacin"
(una columna para cada variable; cada fila representa una observacin).

Con la opcin -o, lee un fichero de datos en formato BOX1, como los que se
obtienen utilizando el servicio de extraccin de datos del 'US Bureau of the
Census'.

#
info
@Dataset
Uso:          info

Muestra la informacin contenida en el archivo de cabecera correspondiente al
fichero de datos actual. Esta informacin debe estar limitada entre los
caracteres "(*" y "*)", estando situados estos marcadores en lneas separadas.

#
labels
@Dataset
Uso:          labels

Muestra las etiquetas informativas de las variables que se hayan definido
utilizando la instruccin 'genr'.


#
lags
@Transformations
Uso:          lags listavar

Crea variables nuevas que son valores retardados de cada una de las variables
que haya en 'listavar'. El nmero de variables retardadas que se crean es
igual a la periodicidad. Por ejemplo, si la periodicidad fuera 4 (datos
trimestrales), la orden 'lags x y' crear x_1 = x(-1), x_2 = x(-2), x_3 =
x(-3) y x_4 = x(-4); y de igual forma para y. Estas variables deben
referenciarse de forma exacta, es decir, con el carcter de subrayado.


#
ldiff
@Transformations
Uso:          ldiff listavar

Se calcula la primera diferencia del logaritmo natural de cada variable de
'listavar' y el resultado se guarda en una variable nueva que lleva el prefijo
"ld_". As por ejemplo, "ldiff x y" crea las nuevas variables

               ld_x = ln[x(t)] - ln[x(t-1)]
               ld_y = ln[y(t)] - ln[y(t-1)].

#
lmtest
@Tests
Uso:            lmtest
                lmtest -o

Debe utilizarse justo despus de una instruccin 'ols'. Calcula el estadstico
de contraste del multiplicador de Lagrange (LM) para las hiptesis
alternativas de no linealidad y de heterocedasticidad (Contraste de White) o,
si se utiliza la opcin -o, para correlacin de orden hasta la
periodicidad. Tambin se muestran los coeficientes de la regresin auxiliar
correspondiente. (Ver captulos 7, 8 y 9 del libro de Ramanathan para ms
detalles).

Slo se usan los cuadrados de las variables independientes, y no sus productos
cruzados. No se pueden obtener los estadsticos de contraste LM si la
generacin interna de los cuadrados causa multicolinealidad exacta.


#
logit
@Estimation
Uso:          logit vardep varindeps

Regresin Logit: la variable dependiente debera ser una variable binaria.  Se
obtienen las estimaciones por mxima verosimilitud de los coeficientes de
'varindeps' por medio de mnimos cuadrados iterados (Mtodo EM, o de
expectativa-maximizacin). Como el modelo no es lineal, las pendientes
dependen de los valores de las variables independientes: las pendientes que se
muestran se evalan en la media de dichas variables. El estadstico
Chi-cuadrado contrasta la hiptesis nula de que todos los coeficientes,
excepto la constante, son cero.


#
logs
@Transformations
Uso:          logs listavar

Se obtiene el logaritmo natural de cada variable en 'listavar' y el resultado
se guarda en una nueva variable con prefijo "l_". As por ejemplo, "logs x y"
crea las nuevas variables l_x = ln(x) y l_y = ln(y).


#
loop
@Programming
Uso:            loop nmero_de_veces
                loop while condicin
		loop for i=principio..final
Ejemplos:       loop 1000
		loop while essdiff > .00001
		loop for i=1991..2000

Esta instruccin (de guin) da acceso a un modo especial, en el cual el
programa acepta rdenes para repetirlas o un nmero de veces especificado, o
mientras se satisfaga una condicin, o para valores sucesivos de la variable
ndice i (interna). Dentro de un bucle, slo se pueden utilizar seis
instrucciones: genr, ols, print, smpl, store y summary (store no puede usarse
en un bucle de 'while'). Con genr y ols se pueden hacer muchas cosas.  Se sale
del modo de introduccin de rdenes de bucle con la instruccin "endloop": en
este punto se ejecutarn las rdenes de todo el bloque. Los bucles construidos
mediante "loop" no pueden estar anidados.

La instruccin ols proporciona un cuadro de resultados especial, dependiendo
del tipo de bucle. Si se especifica un "nmero_de_veces" no se muestran los
resultados de cada regresin particular, en su lugar se ofrece
(a) el valor medio de cada coeficiente estimado a lo largo de todas las
    iteraciones.
(b) las desviaciones tpicas de esos coeficientes estimados.
(c) el valor medio de las desviaciones tpicas estimadas de cada coeficiente.
(d) las desviaciones tpicas de las desviaciones tpicas estimadas.
Esto tiene sentido slo si hay alguna entrada aleatoria en cada iteracin.
Esta instruccin est diseada para el anlisis de Monte Carlo. Si se da una
condicin "while" se muestran los resultados del modelo especificado
obtenidos en la ltima estimacin del bucle: esto est diseado para mnimos
cuadrados iterativos.

La instruccin "print" tambin se comporta de modo diferente en el contexto de
un bucle con "nmero_de_veces". Muestra la media y desviacin tpica de la
variable a lo largo de las repeticiones del bucle. Est pensado para usarlo
con variables que toman un solo valor en cada iteracin, por ejemplo la scr
(suma de cuadrados de los residuos) de una regresin. La instruccin "print"
funciona de la forma usual para los dems tipos de bucles.

La instruccin "store" (slo se puede usar una por bucle y slo en los bucles
de tipo "nmero_de_veces") escribe los valores de las variables especificadas,
en cada iteracin del bucle, al fichero especificado. De este modo, guarda una
copia completa de las variables. Luego puede leerse mediante gretl este
fichero de datos para analizarlo.

Ejemplo de programa de bucle (Monte Carlo):

   genr x = uniform()
   loop 100
   genr u = normal()
   genr y = (10*x) + (20*u)
   ols y const x
   genr r2 = $rsq
   print r2
   genr a = coeff(const)
   genr b = coeff(x)
   store foo.gdt a b
   endloop


#
meantest
@Tests
Uso:            meantest x1 x2
                meantest x1 x2 -o

Calcula el estadstico t para contrastar la hiptesis nula de que las medias
poblacionales de las variables x1 y x2 son iguales y muestra su valor p. Sin
la opcin -o, el estadstico se calcula bajo el supuesto de que las varianzas
son iguales para las dos variables; con la opcin -o se supone que las
varianzas son distintas. (La opcin implicara diferencia slo si hay
diferentes nmeros de observaciones no perdidas para las dos variables)


#
multiply
@Transformations
Uso:            multiply x sufijo vars
Ejemplos:       multiply invpop pc 3 4 5 6
                multiply 1000 big x1 x2 x3

Las variables de la lista "vars" (referenciadas por nombre o nmero) se
multiplican por x, que puede ser o un valor numrico o el nombre de una
variable previamente definida. Los productos se nombran con el prefijo que se
suministre (mximo tres caracteres). Si hace falta, se truncan los nombres de
las variables originales. Por ejemplo, supongamos que Vd desea crear las
versiones "per cpita" de algunas variables y Vd tiene la variable "pob"
(poblacin). Las instrucciones adecuadas son

  genr invpob = 1/pob
  multiply invpob pc renta gasto

que crearn las variables

rentapc = renta * invpob, gastopc = gasto * invpop.

#
noecho
@Programming
Uso:          noecho

Suprime el eco normal al introducir las instrucciones, cuando se ejecuta
un guin gretl. Ver tambin la orden "print" (variante de cadena literal).


#
nulldata
@Dataset
Uso:            nulldata tamao_serie
Ejemplo:        nulldata 100

Establece un conjunto de datos vaco, que contiene slo una constante, con
periodicidad 1 y el numero de observaciones especificado. Este puede usarse al
hacer simulacin: algunas de las rdenes genr (p.ej. genr uniform(), genr
normal(), genr time) generarn datos ficticios desde cero para llenar el
conjunto de datos. La orden "nulldata" tambin puede ser til al utilizarla
conjuntamente con "loop".


#
ols
@Estimation
Uso:            ols vardep varindep       o      ols -o vardep varindep
Ejemplos:       ols 1 0 2 4 6 7                  ols -o 1 0 2 4 6 7
                ols y 0 x1 x2 x3                 ols -o y 0 x1 x2 x3

Calcula las estimaciones de mnimos cuadrados ordinarios con 'vardep' como
variable dependiente y siendo 'varindep' una lista de variables
independientes. Con la opcin -o se mostrar la matriz de covarianzas de los
coeficientes de regresin. Las variables pueden introducirse mediante nombres
o nmeros. Utilice el nmero cero para incluir un trmino constante. El
programa muestra tambin los valores p para los estadsticos t (a dos colas) y
F. Un valor p inferior a 0.01 indica significatividad al nivel del 1 por
ciento y se denota mediante tres *.  Dos * indican significatividad a niveles
entre el 1 y el 5 por ciento.  Tambin se muestran los estadsticos de
seleccin de modelos descritos en el libro de Ramanathan, seccin 4.4.

 
#
omit
@Tests
Uso:            omit varlist
Ejemplos:       omit 5 7 9
		omit xx yy zz

Se ejecuta despus de estimar un modelo. Las variables de la lista 'varlist'
se omitirn del modelo anterior y se estimar el nuevo modelo. Si se omite ms
de una variable, se muestra el estadstico F de Wald para las variable
omitidas junto con su valor p (slo para el mtodo MCO). Un valor p inferior a
0.05 implica que los coeficientes son conjuntamente significativos al nivel
del 5 por ciento.


#
omitfrom
@Tests
Uso:            omitfrom ID_de_modelo varlist
Ejemplo:        omitfrom 2 5 7 9

Funciona como la orden "omit", pero aqu se puede especificar un modelo previo
(usando su nmero de ID, que se muestra al principio de los resultados del
modelo) para tomarlo como base al omitir las variables. En el ejemplo de
arriba se omiten las variables con nmeros 5, 7 y 9 del modelo 2.


#
open
@Dataset
Uso:          open datafile

Abre un fichero de datos. Si ya hay un fichero de datos abierto, se reemplaza
por el nuevo. El programa intentar detectar el formato del fichero de datos
("nativo", CSV o BOX1) y lo tratar como corresponda.


#
panel
@Dataset
Uso:            panel
                panel -s
	        panel -c

Propone que el conjunto de datos actual sea tratado como un panel (combinando
datos de seccin cruzada y de series temporales). Sin ninguna opcin o con la
opcin -s, los datos se consideran formados por series temporales apiladas
(bloques sucesivos de datos contienen series temporales para cada unidad de
seccin cruzada). Con la opcin -c, los datos se leen como datos de seccin
cruzada apilados (bloques sucesivos contienen secciones cruzadas para cada
periodo temporal). Ver tambin la instruccin "setobs".


#
pergm
@Statistics
Uso:            pergm varname
                pergm varname -o

Calcula y muestra (y, en modo interactivo, representa) el espectro de la
variable especificada. Sin la opcin -o se obtiene el periodograma muestral;
con la opcin -o se usa una ventana de retardos de Bartlett de tamao
2*sqrt(tamao muestral) para estimar el espectro (ver Captulo 18 del libro
"Anlisis Economtrico" de Greene). Cuando se muestra el periodograma
muestral, se ofrece tambin un contraste t de integracin fraccional: la
hiptesis nula es que el orden de integracin de la serie es cero.


#
plot
@Graphs
Uso:            plot x1       plot x1 x2
                plot 3 7      plot -o x1 x2

Representa ( en un grfico de tipo texto) los valores de los datos de las
variables especificadas, para el rango de observacin actualmente en
efecto. Cada lnea se refiere a una observacin y los valores se representan
horizontalmente. Si se utiliza la opcin -o, x1 y x2 se representan en la
misma escala, en otro caso, cada una de ellas se escala adecuadamente. La
opcin -o slo debera usarse si las variables tienen aproximadamente el mismo
rango de valores (p.ej. la variable dependiente observada y su prediccin)


#
pooled
@Estimation
Uso:         pooled vardep varindeps

Estima un modelo mediante MCO (ver la instruccin "ols" para detalles sobre su
sintaxis) y lo marca como 'modelo de panel' (o 'combinado') de manera que la
opcin de contraste "diagnsticos de panel" est disponible. Para consulta
sobre dichos diagnsticos ver la orden "hausman".

#
print
@Printing

Imprime (=muestra en pantalla) los valores de las variables especificadas para
el rango primobs-ultobs actual, o muestra una cadena literal.

print              escribe el conjunto de datos actual en forma tabular
print 3 6          escribe los valores de las variables nmeros 3 y 6
print x y z        escribe los valores de las variables denominadas x, y y z

Si se utiliza la opcin -o las variables se muestran en columnas, en caso 
contrario, se muestran en bloques consecutivos.

print "Cadena literal" escribe la cadena especificada.  Las comillas finales no 
son necesarias, pero se necesitan las iniciales para obtener este resultado.

#
probit
@Estimation
Uso:          probit vardep varindeps

Regresin probit: la variable dependiente debe ser una variable binaria. Se
calculan, mediante mnimos cuadrados iterativos (mtodo EM  de
expectativa-maximizacin), los estimadores de mxima verosimilitud de los
coeficientes de 'varindeps'. Como el modelo es no lineal, las pendientes
dependen de los valores de las variables independientes: las pendientes que se
muestran se evalan en las medias de estas variables. El estadstico
Chi-cuadrado contrasta la hiptesis nula de que todos los coeficientes,
excepto el trmino constante, son cero.


#
pvalue
@Utilities
Uso en modo interactivo:      pvalue
Uso en modo batch (o en modo consola gretl):
     Distribucin normal:     pvalue 1 valor_x
     Distribucin t:          pvalue 2 g.l. valor_x
     Chi-cuadrado:            pvalue 3 g.l. valor_x
     Distribucin F:          pvalue 4 gln gld valor_x
     Distribucin Gamma:      pvalue 5 media varianza valor_x

Calcula el rea a la derecha del 'valor_x' en la distribucin especificada.
g.l. son los grados de libertad, gln son los grados de libertad del numerador,
gld son los grados de libertad del denominador.

#
quit
@Utilities

Salir de gretl. ('q' es un atajo; 'x' sale sin preguntar si se deben guardar 
los resultados.)


#
rhodiff
@Transformations
Uso:           rhodiff listarho ; listavar
Ejemplos:      rhodiff .65 ; 2 3 4
               rhodiff r1 r2 ; x1 x2 x3

Crea las transformaciones rho-diferenciadas de las variables contenidas en
'listvar'(referenciadas mediante nmero o nombre) y las aade al conjunto de
datos utilizando el prefijo # para las nuevas variables. Dada la variable v1
en listavar y r1 y r2 en listarho, se crea

v1# = v1(t) - r1*v1(t-1) - r2*v1(t-2)

Las entradas de listarho pueden darse como valores numricos o mediante
los nombres de variables previamente definidas.

#
run
@Programming
Uso:          run fichero

Si el fichero "fichero" contiene instrucciones gretl, esta orden (que se
invoca desde dentro de gretl) las ejecutar de una en una. Esta es una forma
muy til de ejecutar instrucciones 'batch' desde una sesin interactiva.

#
runs
@Tests
Uso:            runs nombre_var

Realiza el contraste de rachas no paramtrico sobre aleatoriedad de la
variable especificada. Si Vd desea contrastar la aleatoriedad de las
desviaciones respecto a la mediana de una variable x1 que tiene una mediana
distinta de cero, lo puede hacer de la siguiente forma

genr signx1 = x1 - median(x1)
runs signx1

#
scatters
@Graphs
Uso:            scatters vary ; listavarx    o
		scatters listavary ; varx
Ejemplos:       scatters 1 ; 2 3 4 5
                scatters 1 2 3 4 5 6 ; time

Representa (mediante gnuplot) grficos bivariantes (scatters) por parejas de
variables, de vary con respecto a todas las variables de listavarx, o de todas
las variables de listavary con respecto a varx. En el primer ejemplo de arriba
se sita la variable 1 en el eje y y se dibujan cuatro grficos, el primero
con la variable 2 en el eje x, el segundo con la variable 3 en el eje x, y as
sucesivamente. Revisar un conjunto de grficos como ste puede ser interesante
al hacer un anlisis de datos exploratorio. El nmero mximo de grficos es
seis; cualquier variable extra en la lista ser ignorada.


#
seed
@Programming
Uso:            seed entero

Establece la semilla para el generador de nmeros pseudo-aleatorios para la
distribucin uniforme y normal (ver la instruccin 'genr'). Por defecto la
semilla se establece cuando se inicia el programa, dependiendo de la hora del
sistema. Si se desean obtener secuencias de nmeros pseudo-aleatorios
repetibles ser necesario establecer la semilla de forma manual.


#
setobs
@Dataset
Uso:            setobs periodicidad primobs
Ejemplos:       setobs 4 1990.1
                setobs 12 1978.03
                setobs 20 1.01

Utilice esta orden para forzar al programa a interpretar el conjunto de datos
actual como de series temporales o de panel, cuando los datos se han ledo
inicialmente como series simples sin fecha. La "periodicidad" debe ser un
nmero entero; "primobs" es una cadena que representa la fecha o
identificacin de panel de la primera observacin. Utilice un dgito despus
del punto en "primobs" para los datos con periodicidad menor que 10, dos
dgitos (con un primer cero si es necesario) para periodicidad entre 10 y 99.

En caso de utilizar datos diarios se requiere una forma especial de la cadena
"primobs", concretamente la fecha ha de seguir el patrn YY/MM/DD, por ejemplo
si los datos comienzan el 15 de febrero de 1955 sera "55/02/15" . Si la parte
YY es menor que 50 se supone que el ao pertenece al siglo XXI, en caso
contrario se supone que est en el siglo XX. (Con datos diarios, se aceptan
las dos periodicidades, 5 y 7)


#
setmiss
@Dataset
Uso:           setmiss -1
               setmiss 100 varx

Esta orden se utiliza para hacer que el programa interprete un valor numrico
especfico (el primer parmetro de la instruccin) como cdigo de "valor
perdido" al usar datos importados. Si este valor es el nico parmetro, como
en el primer ejemplo de arriba, la interpretacin se considerar para todas
las series del conjunto de datos. Si se usa, como segundo parmetro, una lista
de variables (por nombre o nmero) la interpretacin se restringe a las
variables especificadas. As, en el segundo ejemplo se interpreta "100" como
"valor perdido" pero slo para la variable denominada varx.


#
shell
@Utilities
Uso:		! [shell command]

Un "!" al comienzo de la lnea de instrucciones gretl se interpreta como una
salida al "shell" del usuario. As se pueden ejecutar instrucciones del shell
desde dentro de gretl.

#
sim
@Dataset
Uso:            sim primobs ultobs y a0 a1 a2 ...

Simula valores para y para los periodos desde "primobs" hasta "ultobs". La
variable y debe haber sido definida antes con los valores iniciales
apropiados. "primobs" y "ultobs" deben ser consistentes con la periodicidad.
La frmula que se usa es:

     y(t) = a0(t) + a1(t)*y(t-1) + a2(t)*y(t-2) + ...

ai(t) pueden ser constantes o los nombres de variables definidas previamente.

Ejemplos:

  sim 1979.2 1983.1 y 0 0.9  [genera y(t) = 0.9*y(t-1)]
  sim 15 25 y 10 0.8 x       [genera y(t) = 10 + 0.8*y(t-1) + x(t)*y(t-2)]

#
smpl
@Dataset
Uso:           smpl primobs ultobs
               smpl -o var_ficticia
               smpl -o
               smpl -r <expresin booleana>

Restablece el rango muestral. En la primera forma, "primobs" y "ultobs" deben
ser consistentes con la periodicidad de los datos. En la segunda forma,
"var_ficticia" debe ser una variable indicador con valores 0  1: la muestra
se restringir a aquellas observaciones en las que el valor indicador sea
1. La tercera forma, smpl -o, quita todas las observaciones para las cuales
los valores de una o ms variables estn 'perdidos'.  La cuarta forma, usando
la opcin -r, restringe la muestra a los casos que satisfagan la condicin
dada.

    smpl 3 10                para datos con periodicidad 1
    smpl 1950 1990           para datos anuales con periodicidad 1
    smpl 1960.2 1982.4       para datos trimestrales
    smpl 1960.04 1985.10     para datos mensuales
    smpl 1960.2 ;            para dejar la observacin final sin cambiar
    smpl ; 1984.3            para dejar la observacin inicial sin cambiar
    smpl -o dum1             para crear una muestra basada en "dum1"
    smpl -r sqft>1400        para restringir la muestra a los casos en los que 
                             la variable sqft tenga un valor mayor que 1400

Hay que sealar un punto especial sobre las formas "-o" y "-r" de smpl:
cualquier informacin "estructural" en el fichero de cabecera de datos (que
concierna a la naturaleza de series temporales o de panel de los datos) se
pierde al ejecutar esta orden. Se puede reimponer de nuevo la estructura
utilizando la instruccin "setobs".


#
spearman
@Statistics
Uso:            spearman x y
                spearman x y -o

Calcula el coeficiente de correlacin por rangos de Spearman para las dos
variables x e y. No es necesario ordenar las variables y asignar los rangos
manualmente; la instruccin ya tiene en cuenta esto. Si se proporciona la
opcin -o, se muestran los datos originales junto a los ordenados.

La ordenacin automtica se hace de mayor a menor (es decir, al dato mayor se
le asigna rango 1). Si Vd necesita invertir ese orden, puede crear una nueva
variable cuyos valores sean los de la variable original cambiados de signo.
Por ejemplo:

  genr altx = -x
  spearman altx y

#
square
@Transformations
Uso:          square x y       o     square -o x y

Genera nuevas variables que son los cuadrados y productos cruzados de las
variables seleccionadas (-o crea los productos cruzados). En el ejemplo de
arriba las variables creadas sern sq_x = x^2, sq_y = y^2 y x_y = x * y.  Si
una de las variables es una variable ficticia no se tomar su cuadrado, ya que
se obtendra la misma variable.


#
store
@Dataset
Usos:            store nombre_fichero opcin
                 store nombre_fichero opcin lista_var
Ejemplos:        store misdatos.gdt
                 store misdatos.csv -c
                 store misdatosbin.gdt -o 2 3 4

"nombre_fichero" es el nombre del fichero en el que se guardarn las
variables. Si no se proporciona "lista_var" se guardarn los valores de todas
las variables, en caso contrario slo se grabarn al fichero las variables
especificadas.

Los valores posibles de "opcin" son:

ninguno: los datos se guardan en formato xml
  -z  : como el anterior, pero usando compresin de datos tipo gzip
  -o  : los datos se guardan como binarios, en doble precisin
  -s  : los datos se guardan como binarios, en precisin simple
  -c  : los datos se guardan en formato 'valores separados por comas' (CSV), 
        que pueden leerse directamente mediante cualquier programa de 
	hoja de clculo.
  -r  : los datos se guardan en el formato nativo de GNU R. As se pueden
        cargar utilizando la instruccin de R 'source()'.
  -m  : los datos se guardan en el formato nativo de GNU Octave. La primera
  	variable citada se toma como variable dependiente y se escribe como
	vector columna; los datos restantes se escriben como una matriz,
	denominada 'X', con una variable por columna.

  -t  : los datos se guardan en el formato "tradicional" de gretl, como en el
  	programa ESL de Ramanathan, con un fichero de datos ascii y un fichero
	de "cabecera" (header .hdr).

#
summary
@Statistics
summary          muestra los estadsticos principales para todas las variables
summary 3 7 9    muestra los estadsticos principales para las variables 
                 nmero 3, 7, y 9
summary x y z    muestra los estadsticos principales para las variables 
                 x, y y z

Como resultado se ofrecen los siguientes estadsticos: media, desviacin
tpica (dt), coeficiente de variacin (CV= CURTOSIS), mediana, mnimo,
mximo, coeficiente de asimetra y exceso de kurtosis.


#
tabprint
@Printing
Uso:            tabprint
                tabprint -o

Debe ejecutarse despus de la estimacin de una modelo por medio de 'ols'.
Copia el modelo estimado en forma de entorno tabular de LaTeX, a un fichero
con nombre "model_N.tex", donde N es el nmero de modelos estimados hasta el
momento en la sesin actual. Esto puede incorporarse en un documento LaTeX.
Ver tambin la orden 'eqnprint'.

Si se proporciona la opcin -o el fichero que se guarda es un documento 
completo LaTeX listo para ser procesado; en caso contrario debe incluirse 
dentro de un documento.


#
testuhat
@Tests
Uso:          testuhat

Debe seguir a una orden de estimacin de modelos. Da la distribucin de 
frecuencias de los residuos del modelo y un contraste Chi-cuadrado de
normalidad.

#
tsls
@Estimation
Uso:            tsls vardep listavar1 ; listavar2       [-o es opcional]
Ejemplo:        tsls y1 0 y2 y3 x1 x2 ; 0 x1 x2 x3 x4 x5 x6

Calcula las estimaciones de los parmetros de mnimos cuadrados en dos etapas
(MC2E). "vardep" es la variable dependiente, "listavar1" es la lista de
variables independientes (incluyendo variables endgenas del lado derecho de
la ecuacin) en la ecuacin estructural para las cuales se necesitan las
estimaciones MC2E. "listavar2" es la lista combinada de variables exgenas y
predeterminadas en todas las ecuaciones. Si "listavar2" no es al menos tan
larga como "listavar1", el modelo no est identificado. La opcin -o mostrar
la matriz de covarianzas de los coeficientes. En el ejemplo de arriba, las ys
son las variables endgenas y las xs son las variables exgenas y
predeterminadas.


#
var
@Estimation
Uso:            var orden vardep varindep
Ejemplos:       var 4 x1 const time x2 x3
                var 3 1 0 2 3 4

Organiza y estima (va MCO) una autorregresin vectorial. El primer argumento
especifica el orden del retardo, despus se proporciona la estructura para la
primera ecuacin, de igual forma que en la instruccin 'ols'. No hay que
incluir retardos entre los elementos de la lista "varindep" -- se aadirn
automticamente. Se ejecutar una regresin para cada variable de la lista,
excluyendo la constante, la tendencia temporal y las posibles variables
ficticias. Los resultados de cada ecuacin incluyen los contrastes F para
restricciones cero de todos los retardos de cada variable y un contraste F
para el mximo retardo.


#
varlist
@Dataset
Uso:          varlist

Muestra una lista de las variables definidas actualmente. "list" y "ls" son
sinnimos.


#
vartest
@Tests
Uso:          vartest x1 x2

Calcula el estadstico F para la hiptesis nula de que las varianzas 
poblacionales de las variables x1 y x2 son iguales y muestra su valor p.


#
wls
@Estimation
Uso:          wls varpesos vardep varindep            [-o opcional]

Se calculan los estimadores de mnimos cuadrados ponderados siendo "varpesos"
la variable de ponderaciones, "vardep" la variable dependiente y "varindep" la
lista de variables independientes. Ms concretamente, se ejecuta una regresin
MCO de varpesos*vardep con respecto a varpesos*varindep.

Si la variable de ponderaciones es una variable ficticia, esto es equivalente
a eliminar todas las observaciones que tengan valor cero para "varpesos".

Con la opcin -o se mostrar la matriz de covarianzas de los coeficientes. Se
pueden recuperar algunas variables internas utilizando la instruccin
'genr'. Para ello es necesario utilizar la orden 'genr' inmediatamente despus
de esta instruccin. Escriba "help genr" para ver ms detalles sobre esto.

  

